代码:
PlshuZu = Plbound.Coordinates Dim SelectMaph As AcadSelectionSet ThisDrawing.SelectionSets("selectmapfull").Delete Set SelectMaph = ThisDrawing.SelectionSets.Add("selectmapfull") ThisDrawing.SelectionSets("selectmapfull").Clear SelectMaph.Clear '************************************ boundPLIn = BoundPl(i).Offset(-0.05) If boundPLIn(0).Area > BoundPl(i).Area Then boundPLIn(0).Delete boundPLIn = BoundPl(i).Offset(0.05) End If
'************************************** SelectMaph.Update SelectMaph.SelectByPolygon acSelectionSetCrossingPolygon, boundPLIn(0).Coordinates SelectMaph.Update boundPLIn(0).Delete ReDim boundPLIn(0 To 0) As AcadEntity Set boundPLIn(0) = BoundPl(i) SelectMaph.AddItems boundPLIn SelectMaph.Update Bpoint(0) = PlshuZu(i * 2): Bpoint(1) = PlshuZu(i * 2 + 1) Ang = PL_infor(i, 0) Call MakeStretch.Copy_Move_rotate(BoundPl(i), SelectMaph, Bpoint, Mpoint, Ang)
还有个问题:我用extrim裁剪时有时候出现:”未找到多段线复制端点“或“对象未与边相交” 是什么意思? |